
#-- Java test --

if [ "x$JAVA_HOME" = "x" ] ; then

  # export JAVA_HOME=/research/root/jdk1.6.0_27
  export JAVA_HOME=/research/root/jdk1.7.0_03

  # Some other possible places that Java's SDK might be installed:
  #  export JAVA_HOME=/usr/lib/jvm/java-1.6.0
  #  export JAVA_HOME=/opt/openjdk-1.6.0
	
  export PATH=$JAVA_HOME/bin:$PATH
  echo "+ Setting JAVA_HOME to:"
  echo "+   $JAVA_HOME"
  echo "+ and updating PATH"
else
  if [ ! -d $JAVA_HOME ] ; then
    echo "======" 1>&2
    echo "Warning: JAVA_HOME set, but directory not found: " 1>&2
    echo "  $JAVA_HOME" 1>&2
    echo "Assuming 'java' and 'javac' are on your path somehow else!" 1>&2
    echo "======" 1>&2
  fi
fi
